Redmine - Defect #12685

Commit message generates invalid link when repository has an identifier
2012-12-28 18:13 - Philippe Lafoucriere

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

The link generated by a commit message like "close #123" will generate a link like "Applied in changeset: myrepo|commit:abc123".
The correct syntaxt for a commit link would be commit:myrepo:abc123 instead.

Related issues:

Related to Redmine - Defect #13036: auto generated comment "Applied in change... Closed
Is duplicate of Redmine - Defect #13544: Commit reference: autogenerated issu... Closed
History

#1 - 2012-12-30 08:44 - Toshi MARUYAMA
- Category changed from Issues to SCM

#2 - 2013-11-22 15:41 - Viktor Berke

| can verify both the bug to be present and the patch to be working. Please merge either this or the (seemingly) better version in #13036. Redmine
version 2.4.0.

#3 - 2015-06-15 20:42 - Gregor Borsemirk
| think this was fixed in #13544 (#13036 should be closed, t00).

#4 - 2015-07-13 13:03 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for your pointing out.

#5 - 2015-07-13 13:04 - Toshi MARUYAMA

- Is duplicate of Defect #13544: Commit reference: autogenerated issue note has wrong commit link syntax in multi-repo or cross-project context

added

Files

changeset.patch 707 Bytes 2012-12-28 Philippe Lafoucriére

2025-05-17 1/1



https://www.redmine.org/issues/123
https://www.redmine.org/issues/13036
https://www.redmine.org/issues/13544
https://www.redmine.org/issues/13036
http://www.tcpdf.org

